Skip to main content
GET
/
auctions
cURL
curl --request GET \
  --url https://admin.fanfare.io/api/auctions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "settleAt": "2023-11-07T05:31:56Z",
      "timeZone": "<string>",
      "auctionType": "english",
      "autoExtendSeconds": 123,
      "closeAt": "2023-11-07T05:31:56Z",
      "floorPrice": "<string>",
      "minBidIncrement": "<string>",
      "openAt": "2023-11-07T05:31:56Z",
      "priceDropAmount": "<string>",
      "priceDropIntervalSeconds": 123,
      "quantity": 123,
      "reservePrice": "<string>",
      "startPrice": "<string>",
      "statusOverride": "ended",
      "statusOverrideAt": "2023-11-07T05:31:56Z",
      "statusOverrideBy": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>"
    }
  ],
  "pageInfo": {
    "endCursor": "<string>",
    "startCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Response

Auctions retrieved successfully

data
object[]
required
pageInfo
object
required